-- author: rafftnix
-- date: 27.11.2012

ClientMoneyActionEvent = {};
ClientMoneyActionEvent_mt = Class(ClientMoneyActionEvent, Event);
InitEventClass(ClientMoneyActionEvent, "ClientMoneyActionEvent");

function ClientMoneyActionEvent:emptyNew()
    local self = Event:new(ClientMoneyActionEvent_mt);
    return self;
end;

function ClientMoneyActionEvent:new(userId, money)
    local self = ClientMoneyActionEvent:emptyNew(); 
    self.userId = userId; 
	self.money = money;
    return self;
end;

function ClientMoneyActionEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, math.floor(self.money));
    streamWriteInt8(streamId, self.userId);
end;

function ClientMoneyActionEvent:readStream(streamId, connection)
    self.money = streamReadInt32(streamId);
    self.userId = streamReadInt8(streamId);
    self:run(connection);
end;

function ClientMoneyActionEvent:run(connection)
	ExternalAccount:clientMoneyAcount(self.userId, self.money);
end;

function ClientMoneyActionEvent.sendEvent(userId, money)
	g_client:getServerConnection():sendEvent(ClientMoneyActionEvent:new(userId, money)); 
end;